View Issue Details

IDProjectCategoryView StatusLast Update
0003764Talerwallet (WebExtensions)public2016-11-20 03:26
ReporterChristian GrothoffAssigned ToFlorian Dold 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.2Fixed in Version0.2 
Summary0003764: wallet needs to support /refresh operations to ensure unlinkability
DescriptionWhen coins are partially spent, the residual value needs to be refreshed to ensure unlinkability. The wallet must thus automatically contact the mint and ask for a refresh. For this, the wallet needs to determine which denomination keys should be generated during the refresh, submit the commitment and perform the reveal operation. Keeping the intermediate state of a refresh operation in the database (so as to be able to resume nicely even in the case of a crash) is part of this report.

Melting multiple old coins in one refresh operation is NOT part of this feature (this may be a feature of the protocol, but an insecure one and we should certainly not support this in the first iteration).
TagsNo tags attached.

Relationships

parent of 0003759 closedMarcello Stanisci need HKDF facility for key derivation in Wallet 
parent of 0003756 closedMarcello Stanisci need (GNUnet-compatible) implementations of ECDHE 
parent of 0003760 closedMarcello Stanisci need GNUnet-style double-symmetric encryption for the wallet 

Activities

Florian Dold

2016-10-18 00:00

manager   ~0011340

Implemented as of 78ea2ba5b1.

We do resume from DB.

The only thing not implemented is prompting the user for refresh or other options on payment failure, this is tracked by 0004735.

Issue History

Date Modified Username Field Change
2015-04-11 17:07 Christian Grothoff New Issue
2015-04-11 17:07 Christian Grothoff Status new => assigned
2015-04-11 17:07 Christian Grothoff Assigned To => Marcello Stanisci
2015-04-11 17:07 Christian Grothoff Relationship added parent of 0003759
2015-04-11 17:07 Christian Grothoff Relationship added parent of 0003756
2015-04-11 17:07 Christian Grothoff Relationship added parent of 0003760
2015-04-13 03:05 Christian Grothoff Target Version 0.0 => 0.1
2015-06-21 10:42 Christian Grothoff Target Version 0.1 => 0.2
2016-01-22 13:34 Marcello Stanisci Assigned To Marcello Stanisci => Florian Dold
2016-01-22 13:34 Marcello Stanisci Category wallet (browser-based) => wallet (WebExtensions)
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004312
2016-10-18 00:00 Florian Dold Note Added: 0011340
2016-10-18 00:00 Florian Dold Status assigned => resolved
2016-10-18 00:00 Florian Dold Resolution open => fixed
2016-11-15 16:03 Christian Grothoff Fixed in Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed